Quick Start
Learn how to get started with the EngineRoom REST API
Get your API key
Make your first request
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
lead_datestringOptionalExample:
Lead creation datetime (UTC). Defaults to now if blank.
2023-01-01 10:30:00namestringOptionalExample:
User Name
John SmithemailstringOptionalExample:
Lead Email Address
johnsmith@emails.xyzphonestringOptionalExample:
Lead Phone Number
0411 111 111messagestringOptionalExample:
Message / Content from Form
I'm looking for a price for a car servicegoogle_client_idstringOptionalExample:
Google Client ID
123456789.98765433web_sourcestringOptionalExample:
Source of Lead E.g "google" or "direct"
googleweb_campaignstringOptionalExample:
Campaign Attribution
Location Basedweb_mediumstringOptionalExample:
Medium Attribution E.g "paid" or "organic"
paidweb_keywordstringOptionalExample:
Keyword Attribution
Sydney Car Serviceform_namestringOptionalExample:
Name of form lead completed
Contact UsurlstringOptionalExample:
URL of Lead Acquisition
https://www.sydcarservice.xyz/contact-usdatastringOptionalExample:
Additional Information (JSON String)
{"make": "Nissan", "model": "X-Trail", "year": "2022"}Header parameters
AcceptstringRequiredExample:
Setting to application/json is recommended
application/jsonResponses
201
Lead created successfully
application/json
messagestringOptionalExample:
Lead created successfully.400
Invalid input
post/leads
POST /public/leads HTTP/1.1
Host: api2.engineroom.com.au
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: application/json
{
"message": "Lead created successfully.",
"data": {
"id": "b0a00e1a-7748-4c68-acd1-36bc74ec0b7b",
"type": "form",
"google_client_id": 123456789.98765433,
"lead_date": "2023-01-30T03:21:49.005548Z",
"name": "John Smith",
"email": "johnsmith@emails.xyz",
"phone": "0411 111 111",
"message": "I'm looking for a price for a car service",
"web_source": "google",
"web_campaign": "Location Based",
"web_medium": "paid",
"web_keyword": "Sydney Car Service",
"url": "https://www.sydcarservice.xyz/contact-us",
"data": {
"make": "Nissan",
"model": "X-Trail",
"year": "2022"
},
"link": "https://app.engineroom.com.au/leads/b0a00e1a-7748-4c68-acd1-36bc74ec0b7b&business=cb50eb42-22b3-4df4-bbcd-efcd9694f3f8\"",
"business": {
"id": "cb50eb42-22b3-4df4-bbcd-efcd9694f3f8",
"name": "XYZ Car Servicing"
}
}
}Last updated